# Contributing Guidelines

Hello! Thanks for your interest in contributing to the codebase.

## How to contribute

We love contribution to VDP in any forms:

- Please refer to the [guideline](https://www.instill.tech/docs/development/setup-local-development/?utm_source=github&utm_medium=banner&utm_campaign=vdp_readme) for local development.

- Please open a topic in the repository [Discussions](https://github.com/instill-ai/vdp/discussions) for any feature requests.

- Please open issues for bug report in the repository

  - [vdp](https://github.com/instill-ai/vdp) for general issues;

  - [pipeline-backend](https://github.com/instill-ai/pipeline-backend), [connector-backend](https://github.com/instill-ai/connector-backend), [model-backend](https://github.com/instill-ai/model-backend), [console](https://github.com/instill-ai/console), etc., for specific issues.

- Please refer to the [VDP project board](https://github.com/orgs/instill-ai/projects/5) to track progress.

> **Note**
> Code in the main branch tracks under-development progress towards the next release and may not work as expected. If you are looking for a stable alpha version, please use [latest release](https://github.com/instill-ai/vdp/releases).



## Submitting a pull request

To make an efficient review process, we very much appreciate if the PR commits

- follow the [conventional commits guidelines](https://www.conventionalcommits.org/),
- follow the [7 rules of commit messages](https://chris.beams.io/posts/git-commit/), and
- are rearranged to squash trivial commits together (use [git rebase](http://gitready.com/advanced/2009/03/20/reorder-commits-with-rebase.html)).
